IngresActionBuilder (cayenne-doc: Cayenne Documentation 5.0-M2 API)
Description: declaration: package: org.apache.cayenne.dba.ingres, class: IngresActionBuilder

# Class IngresActionBuilder

java.lang.Object
org.apache.cayenne.dba.JdbcActionBuilder
org.apache.cayenne.dba.ingres.IngresActionBuilder

All Implemented Interfaces:
  `SQLActionVisitor`

public class IngresActionBuilder extends JdbcActionBuilder

- ## Field Summary

  ### Fields inherited from class JdbcActionBuilder

  `dataNode`
  Modifier and Type
  Field
  Description
  `protected DataNode`
  `dataNode`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IngresActionBuilder(DataNode dataNode)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `<T> SQLAction`
  `objectSelectAction(FluentSelect<T,?> query)`
  Creates an action to execute a FluentSelect.

  ### Methods inherited from class JdbcActionBuilder

  `batchAction, ejbqlAction, procedureAction, sqlAction`
  Modifier and Type
  Method
  Description
  `SQLAction`
  `batchAction(BatchQuery query)`
  Creates an action to execute a batch update query.
  `SQLAction`
  `ejbqlAction(EJBQLQuery query)`
  Creates an action to execute EJBQL query.
  `SQLAction`
  `procedureAction(ProcedureQuery query)`
  Creates an action to execute a ProcedureQuery.
  `SQLAction`
  `sqlAction(SQLTemplate query)`
  Creates an action to execute a SQLTemplate.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IngresActionBuilder

    public IngresActionBuilder(DataNode dataNode)
    Since:
      4.0

- ## Method Details

  - ### objectSelectAction

    public <T> SQLAction objectSelectAction(FluentSelect<T,?> query)
    Description copied from interface: `SQLActionVisitor`
    Creates an action to execute a FluentSelect.
    Specified by:
      `objectSelectAction` in interface `SQLActionVisitor`
    Overrides:
      `objectSelectAction` in class `JdbcActionBuilder`
    Since:
      4.2